<v-container>
    <v-row align="start" justify="center">
        <v-col cols="8">
            <v-list three-line subheader>
                <v-subheader inset>Pizza</v-subheader>
                <v-list-item v-for="(product, i) in basketView" :key="product.product_id" @click="">
                    <v-list-item-avatar>
                        <v-img :src="product.image_url" />
                    </v-list-item-avatar>
                    <v-list-item-content>
                        <v-container>
                            <v-row align="center" class="subtitle-1">
                                <v-col cols="auto" class="mr-auto">
                                    <v-list-item-title v-text="product.title" />
                                    <v-list-item-subtitle class="text--primary" v-text="product.description" />
                                    <v-list-item-subtitle class="overline">
                                        {{ product.offer || product.price }}$
                                        {{ product.width }}cm
                                        {{ product.weight }}lb
                                    </v-list-item-subtitle>
                                </v-col>
                                <v-col cols="auto" class="ma-0 pa-0">
                                    <v-btn icon color="red" @click="delProduct(product)">
                                        <v-icon small>mdi-minus</v-icon>
                                    </v-btn>
                                </v-col>
                                <v-col cols="auto" sm="1" class="text-center ma-0 pa-0">
                                    <span>{{ product.count }}</span>
                                </v-col>
                                <v-col cols="auto" class="ma-0 pa-0">
                                    <v-btn icon color="green" @click="addProduct(product)">
                                        <v-icon small>mdi-plus</v-icon>
                                    </v-btn>
                                </v-col>
                                <v-col cols="auto" sm="2" class="ma-0 pa-0 text-end">
                                    <span class="blue--text text--darken-4">
                                        {{ round((product.offer || product.price) * product.count) }}$
                                    </span>
                                </v-col>
                                <v-col cols="auto">
                                    <v-btn icon @click="closeProduct(product)">
                                        <v-icon small>mdi-close</v-icon>
                                    </v-btn>
                                </v-col>
                            </v-row>
                        </v-container>
                    </v-list-item-content>
                </v-list-item>

                <v-divider inset></v-divider>

                <v-subheader inset class="subtitle-1">
                    <span>Total {{ offerPrice }}$</span>
                </v-subheader>

           </v-list>
        </v-col>
        <v-col class="ma-0 pa-0" cols="auto">
            <v-list subheader>
                <v-subheader inset class="subtitle-1">
                    <span>Your order</span>
                </v-subheader>
                <v-list-item>
                    <v-list-item-title>Total&nbsp;</v-list-item-title>
                    <span class="blue--text text--darken-4">
                        {{ offerPrice }}$
                    </span>
                </v-list-item>
                <v-list-item>
                    <v-list-item-title>Discount&nbsp;</v-list-item-title>
                    <span class="orange--text text--darken-4">
                        {{ discount }}$
                    </span>
                </v-list-item>
                <v-list-item>
                    <v-list-item-title>Weight&nbsp;</v-list-item-title>
                    <span class="grey--text text--darken-1">
                        {{ weight }}lb
                    </span>
                </v-list-item>
                <v-list-item>
                    <v-list-item-title>Quantity&nbsp;</v-list-item-title>
                    <span class="grey--text text--darken-1">
                        {{ quantity }}
                    </span>
                </v-list-item>
                <v-list-item>
                    <v-list-item-content>
                        <v-btn :disabled="! offerPrice" large dark color="primary" @click="showBuy = true">
                            <v-icon class="pr-4">mdi-cart-outline</v-icon>
                            Order
                        </v-btn>
                    </v-list-item-content>
                </v-list-item>
            </v-list>
        </v-col>
    </v-row>
    <x-basket-buy-dialog :display="showBuy" @basket:order="basketOrder" @basket:close="showBuy = false" :basket="basketView" :price="offerPrice" />
</v-container>
